Package com.privatejgoodies.common.internal

## Interface IActionObject

All Known Subinterfaces:
  `IActionBean`

    public interface IActionObject

Describes an object that can look up an Action for a given Action name.

Note: This class is intended for predefined and custom binder implementations as used by the JGoodies Binding API. Application developers won't use this interface directly.

Since:
  1.4
Author:
  Karsten Lentzsch

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.swing.Action` `getAction​(java.lang.String actionName)` Looks up and returns an Action for the given action name.

### Method Detail

#### getAction

    javax.swing.Action getAction​(java.lang.String actionName)

Looks up and returns an Action for the given action name.

Parameters:
  `actionName` - the string used to look up the Action
Returns:
  the Action with the given action name - if any
Throws:
  `java.lang.NullPointerException` - if `actionName` is `null`